:root {
  --clr-primary-300: hsl(179, 54%, 52%);
  --clr-primary-400: hsl(179, 62%, 43%);
  --clr-primary-600: hsl(71, 73%, 54%);

  --clr-neutral-100: hsl(0, 0%, 100%);
  --clr-neutral-light-gray: hsl(204, 43%, 93%);
  --clr-neutral-grayish-blue: hsl(218, 22%, 67%);

  --ff-basic: "Karla", sans-serif;

  --fs-body: 1rem;

  --fw-regular: 400;
  --fw-bold: 700;
}

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}
/* button */
.button {
  cursor: pointer;
  text-decoration: none;
  display: inline-flex;
  gap: 0.75rem;
  justify-content: center;
  align-items: center;
  border: 0;
  border-radius: 0.5rem;
  padding: 0.75em 1.5em;
  background-color: var(--clr-primary-600);
  color: var(--clr-neutral-100);
  font-weight: var(--fw-bold);
}
body {
  font-family: var(--ff-basic);
  font-size: var(--fs-body);
  font-weight: var(--fw-regular);
  background-color: var(--clr-neutral-light-gray);
  color: var(--clr-neutral-100);
  display: grid;
  place-items: center;
}
.wrapper {
  border-radius: 0.5rem;
  background-color: var(--clr-neutral-100);
  margin: 4rem 1.5rem;
  overflow: hidden;
  max-width: 50rem;
}

.card {
  padding: 2rem;
  display: grid;
  gap: 1rem;
}
@media (min-width: 600px) {
  .wrapper {
    display: flex;
    flex-wrap: wrap;
  }
  .card:not(:first-child) {
    flex: 1;
  }
}
.card__title {
  color: var(--clr-primary-400);
}
.card__subtitle {
  color: var(--clr-primary-600);
}
.card__description {
  color: var(--clr-neutral-grayish-blue);
}
.card--primary {
  background-color: var(--clr-primary-400);
}
.card--secondary {
  background-color: var(--clr-primary-300);
}
.plan {
  margin-bottom: 1rem;
}
.plan__price {
  font-size: 2.5rem;
}
.plan__month {
  font-weight: var(--fw-regular);
  vertical-align: middle;
  opacity: 0.5;
  font-size: 1rem;
}
